%global momorel 1

Name:           perl-FormValidator-Simple
Version:        0.18
Release:        %{momorel}m
Summary:        Validation with simple chains of constraints
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/FormValidator-Simple/
Source0:        http://www.cpan.org/authors/id/L/LY/LYOKATO/FormValidator-Simple-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor) >= 0.22
BuildRequires:  perl(Class::Data::Accessor)
BuildRequires:  perl(Class::Data::Inheritable) >= 0.04
BuildRequires:  perl(Class::Inspector) >= 1.13
BuildRequires:  perl(Date::Calc) >= 5.4
BuildRequires:  perl(DateTime::Format::Strptime) >= 1.07
BuildRequires:  perl(Email::Valid) >= 0.15
BuildRequires:  perl(Email::Valid::Loose) >= 0.04
BuildRequires:  perl(List::MoreUtils) >= 0.16
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(Tie::IxHash) >= 1.21
BuildRequires:  perl(UNIVERSAL::require) >= 0.1
BuildRequires:  perl(YAML) >= 0.39
Requires:       perl(Class::Accessor) >= 0.22
Requires:       perl(Class::Data::Accessor)
Requires:       perl(Class::Data::Inheritable) >= 0.04
Requires:       perl(Class::Inspector) >= 1.13
Requires:       perl(Date::Calc) >= 5.4
Requires:       perl(DateTime::Format::Strptime) >= 1.07
Requires:       perl(Email::Valid) >= 0.15
Requires:       perl(Email::Valid::Loose) >= 0.04
Requires:       perl(List::MoreUtils) >= 0.16
Requires:       perl(Mail::Address)
Requires:       perl(Tie::IxHash) >= 1.21
Requires:       perl(UNIVERSAL::require) >= 0.1
Requires:       perl(YAML) >= 0.39
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides you a sweet way of form data validation with simple
constraints chains. You can write constraints on single line for each
input data.

%prep
%setup -q -n FormValidator-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_sitelib}/*
%{_mandir}/man3/*

%changelog
* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.18-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
